# Get Latest Export

Returns the most recent classic Insights report that has been successfully and completely exported by a scheduled job. The response contains a URL to download the report, as well as a timestamp for when the data in the report was last updated, so you may determine if the report reflects current data.

In order to keep exported data secure, the URL returned in the response expires in 60 seconds. The URL expiration period is subject to change. If you do not initiate a download of the report before the link expires, you can send a new request to generate a new URL.

Exporting a report can take from seconds to 20 minutes, depending on the report size. Because export time varies, please send requests until the latest data is returned. If there are no previously exported reports yet, the response code and message will indicate this.

Because exported reports can be up to 10 GB, reports are downloaded in a compressed format (.gz) and must be decompressed in order to access the CSV file.

Endpoint: GET /scheduled_jobs/insights_report_exports/{insights_report_export_id}/results/latest
Version: 1.0.0

## Path parameters:

  - `insights_report_export_id` (integer, required)
    The ID of the Insights report export.

## Response 200 fields (application/json):

  - `latest_success` (object)
    Download the most recent successfully exported report.

  - `latest_success.url` (string)
    The URL to the most recent successful report export. Download the exported report within 60 seconds. The URL expiration period is subject to change. If you do not download the report within 60 seconds, you can send a new request to generate a new URL.

  - `latest_success.created_at` (string)
    Timestamp for when the most recent successful report export was completed.

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


